This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 220749 - nsc_drv.so is compiled with executable stack...
nsc_drv.so is compiled with executable stack...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nsc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-25 14:21 EST by Tom London
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-24 15:24:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom London 2006-12-25 14:21:55 EST
Description of problem:
eu-readelf -l xorg/modules/drivers/nsc_drv.so | grep STACK
shows
GNU_STACK      0x000000 0x00000000 0x00000000 0x000000 0x000000 RWE 0x4

Does this really require an executable stack? This will cause SELinux AVCs...

Shouldn't this be compiled with this off?

See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=220669 for reference.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nsc-2.8.1-2.1

How reproducible:
every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Adam Jackson 2007-01-01 14:55:41 EST
I think this is just a result of having an assembly routine for MSR access,
which the compiler treats as potentially-execstack.
Comment 3 Adam Jackson 2007-01-24 15:24:26 EST
Yep.  Fixed in xorg-x11-drv-nsc 2.8.1-3.fc7, thanks!

Note You need to log in before you can comment on or make changes to this bug.